Subject: mutt aliases file not working

From: Darren Hart <[email-masked]>
Date: Wed, 27 Oct 2010 14:38:12 -0700

For whatever reason, which I'm sure is user error, I haven't been
able to get mutt aliases to work, while mailrc works fine:

$ mkdir aliases.git
$ cd !$
$ git init
Initialized empty Git repository in /home/dvhart/aliases.git/.git/
$ echo "joe Joe Blow [email-masked]" > muttaliases
$ git add muttaliases
$ git commit -m "aliases file"
[master (root-commit) b71ae4a] aliases file
 1 files changed, 1 insertions(+), 0 deletions(-)
 create mode 100644 muttaliases
$ git config sendemail.aliasesfile `pwd`/muttaliases
$ git config sendemail.aliasfiletype mutt
$ cat .git/config
[core]
	repositoryformatversion = 0
	filemode = true
	bare = false
	logallrefupdates = true
[sendemail]
	aliasesfile = /home/dvhart/aliases.git/muttaliases
	aliasfiletype = mutt
$ git send-email --to joe -1 
/tmp/l0xCEC7o3d/0001-aliases-file.patch
Who should the emails appear to be from? [Darren Hart <[email-masked]>] 
Emails will be sent from: Darren Hart <[email-masked]>
Message-ID to be used as In-Reply-To for the first email? 
(mbox) Adding cc: Darren Hart <[email-masked]> from line 'From: Darren Hart <[email-masked]>'

From: Darren Hart <[email-masked]>
To: joe

    ^ when using a mailrc fail this expands to [email-masked]

Cc: Darren Hart <[email-masked]>
Subject: [PATCH] aliases file
Date: Wed, 27 Oct 2010 14:29:10 -0700
Message-Id: <[email-masked]>
X-Mailer: git-send-email 1.7.1

Send this email? ([y]es|[n]o|[q]uit|[a]ll): ^C

$ stty: standard input: Input/output error
^C

Am I doing something obviously wrong?

-- 
Darren Hart
Embedded Linux Kernel